#
# CanDo - Web based competency tracking system.
# Copyright (C) 2006 Arlington Public Schools, Arlington, VA and The
# Shuttleworth Foundation.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
"""
High-level setup functions for functional tests.

$Id: setup.py 7540 2008-03-19 23:18:04Z ignas $
"""
import unittest

from zope.component.hooks import setSite
from zope.app.testing.functional import getRootFolder

from cando.tests import buildSampleCompetencies

def buildGlobalComps():
    """Create a tree of competencies for use in functional tests."""

    # build competency tree with two areas, 'Math', and 'Science'.
    # 'Math' will have courses 'Algebra' and 'Geometry'.
    # 'Science' will have courses 'Chemistry' and 'Physics'.
    # each course will have two course comp groups, each having two comps.
    # the tree will have sixteen competencies in all

    root = getRootFolder()
    setSite(root)  # make sure local registrations work
    buildSampleCompetencies()


def test_suite():
    return unittest.TestSuite()
