#
# CanDo - Web based competency tracking system.
# Copyright (C) 2006 Arlington Public Schools, Arlington, VA and The
# Shuttleworth Foundation.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
"""
Upgrade CanDo to generation 9.

The optional identifier field of courses in CanDo08 should be evolved
to the government ID field of courses in CanDo09. Currently, it
evolves to the course ID, which is incorrect. Course ID is being used
for LOCAL course ID only.
"""
from zope.app.generations.utility import findObjectsProviding
from zope.app.publication.zopepublication import ZopePublication

from schooltool.course.interfaces import ICourse


def evolve(context):
    root = context.connection.root().get(ZopePublication.root_name, None)
    courses = findObjectsProviding(root, ICourse)
    for course in courses:
        if getattr(course, 'government_id', None) is None:
            course.government_id = course.__name__
