#
# CanDo - Web based competency tracking system.
# Copyright (C) 2010 Arlington Public Schools, Arlington, VA and The
# Shuttleworth Foundation.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
"""
Individualized Educational Plan tests

$Id$
"""

import unittest
import doctest
from zope.annotation.attribute import AttributeAnnotations
from zope.component import provideAdapter, testing

from cando.iep.iep import StudentIEP


def setUp(test):
    testing.setUp(test)
    provideAdapter(AttributeAnnotations)
    provideAdapter(StudentIEP)


def test_suite():
    return unittest.TestSuite((
        doctest.DocFileSuite('README.txt',
                             setUp=setUp, tearDown=testing.tearDown,
                             optionflags=doctest.NORMALIZE_WHITESPACE|
                                         doctest.REPORT_ONLY_FIRST_FAILURE|
                                         doctest.ELLIPSIS),
        ))

if __name__ == '__main__':
    unittest.main(default='test_suite')
