#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2005 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
"""
Override of schooltool Person browser views.

$Id$
"""
from zope.app.pagetemplate import ViewPageTemplateFile

from schooltool.app.interfaces import ISchoolToolApplication
from schooltool.person.browser.person import PersonFilterWidget as PersonWidget
from schooltool.group.interfaces import IGroupContainer


class PersonFilterWidget(PersonWidget):
    """Override default behaviour of person filter widget to speed it up. """

    template = ViewPageTemplateFile('templates/person_filter.pt')

    def groups(self):
        groups = []
        for id, group in IGroupContainer(ISchoolToolApplication, {}).items():
            groups.append({'id': id, 'title': "%s" % group.title})
        return groups

